#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------
## Daniel Wollschlger <dwoll [at] psychologie.uni-kiel.de>
## Befehle zum Buch "Grundlagen der Datenanalyse mit R" (Springer)
## http://www.uni-kiel.de/psychologie/dwoll/r/
## Stand: 22.07.10
##
## Vgl. Abschnitt 4.1, um die folgenden Befehle auszufhren.
##
## Befehle, die eine Benutzerinteraktion notwendig machen oder
## nicht erwnschte Nebenwirkungen haben, sind auskommentiert.
#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------

####*---------------------------------------------------------------------------
##### 1 Erste Schritte
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 1.1 Vorstellung
##### 1.1.1
##### 1.1.2
1 + 1

##### 1.1.3
##### 1.1.4

#####---------------------------------------------------------------------------
##### 1.2 Grundlegende Elemente
##### 1.2.1
1 + 1
2 * (4
     -5)
## q()

data(Duncan, package="car")
attach(Duncan)
head(Duncan)
dev.new(width=7, height=7)
boxplot(income ~ type, main="Anteil hoher Einkommen pro Berufsgruppe", cex.lab=1.4)
stripchart(income ~ type, pch=20, vert=TRUE, add=TRUE)
tapply(education, type, mean)
cor(cbind(income, education, prestige))
anova(lm(prestige ~ type))
BCandWC <- (type == "bc") | (type == "wc")
t.test(education ~ type, alternative="less", subset=BCandWC)
detach(Duncan)

##### 1.2.2
##### 1.2.3
history()

##### 1.2.4
12^2 + 1.5*10
sin(pi/2) + sqrt(abs(-4))
exp(1)^((0+1i)*pi)
exp(1)^(-pi/2) - (0+1i)^(0+1i)

is.infinite(1/0)
is.nan(0/0)

##### 1.2.5
## q()
"/"(1, 10)
round(1.271)
round(pi, digits=2)

##### 1.2.6
##### 1.2.7

#####---------------------------------------------------------------------------
##### 1.3 Datenstrukturen: Klassen, Objekte, Datentypen
##### 1.3.1
ls("package:stats")

##### 1.3.2
x1  <-  4.5
x1   =  4.5
4.5  -> x1
x2 <- x3 <- 10
x2
x3
x1 * 2
x1^x1 - x2

##### 1.3.3
x1
print(x1)
(x1 <- 4.5)
.Last.value

##### 1.3.4
ls()
## rm(list=ls(all=TRUE))
age <- 22
rm(age);
## age

##### 1.3.5
NULL
TRUE
FALSE
T
F
3.14
3.14 + 1i
"Hello"
charVar <- "asdf"
mode(charVar)
is.character(1.23)
as.character(1.23)
as.logical(2)

##### 1.3.6
TRUE == TRUE
TRUE == FALSE
!TRUE
!FALSE
TRUE != TRUE
TRUE != FALSE
isTRUE(TRUE)
isTRUE(FALSE)
 TRUE & TRUE
 TRUE & FALSE
FALSE & FALSE
FALSE & TRUE
 TRUE | TRUE
 TRUE | FALSE
FALSE | FALSE
FALSE | TRUE
4 <  8
7 <  3
4 >  4
4 >= 4

0.1 + 0.2 == 0.3
1 %/% 0.1
sin(pi)
1 - ((1/49) * 49)
1 - ((1/48) * 48)

all.equal(1, 1)
all.equal(0.12345001, 0.12345000)
isTRUE(all.equal(0.12345001,  0.12345000))
isTRUE(all.equal(0.123450001, 0.123450000))
0.123400001 == 0.123400000

